%define upstream_name    POE-Test-Loops
%define upstream_version 1.360
%global __provides_exclude perl\\(Switch\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Reusable tests for POE::Loop authors
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 1.1.2
BuildArch:  noarch

%description
POE::Test::Loops contains one function, generate(), which will generate all
the loop tests for one or more POE::Loop subclasses.

The the /SYNOPSIS manpage example is a version of the poe-gen-tests
manpage, which is a stand-alone utility to generate the actual tests. the
poe-gen-tests manpage also documents the POE::Test::Loops system in more
detail.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc CHANGES LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{_mandir}/man1/poe-gen-tests.1*
%{perl_vendorlib}/POE
%{_bindir}/poe-gen-tests

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.360.0-6.mga9
+ Revision: 1805476
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.360.0-5.mga8
+ Revision: 1496972
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.360.0-4.mga7
+ Revision: 1270870
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.360.0-3.mga6
+ Revision: 1032632
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.360.0-2.mga6
+ Revision: 966682
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 1.360.0-1.mga6
+ Revision: 846557
- update to 1.360

* Wed Oct 15 2014 umeabot <umeabot> 1.358.0-3.mga5
+ Revision: 739723
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.358.0-2.mga5
+ Revision: 685837
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Tue Jul 15 2014 sander85 <sander85> 1.358.0-1.mga5
+ Revision: 652943
- update to 1.358

* Tue Jul 08 2014 sander85 <sander85> 1.355.0-1.mga5
+ Revision: 650673
- update to 1.355

* Fri Feb 07 2014 sander85 <sander85> 1.354.0-1.mga5
+ Revision: 585197
- update to 1.354

* Mon Oct 21 2013 umeabot <umeabot> 1.353.0-2.mga4
+ Revision: 537402
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 1.353.0-1.mga4
+ Revision: 486908
- update to 1.353

* Tue Aug 20 2013 sander85 <sander85> 1.352.0-1.mga4
+ Revision: 468554
- update to 1.352

* Tue Apr 16 2013 guillomovitch <guillomovitch> 1.351.0-3.mga3
+ Revision: 410214
- don't provide perl(Switch)

* Sun Jan 13 2013 umeabot <umeabot> 1.351.0-2.mga3
+ Revision: 371327
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.351.0-1.mga3
+ Revision: 255282
- update to 1.351

* Fri Dec 16 2011 kharec <kharec> 1.350.0-1.mga2
+ Revision: 182569
- update to 1.350

* Wed Jun 15 2011 jquelin <jquelin> 1.312.0-1.mga2
+ Revision: 107279
- update to 1.312

* Wed Feb 16 2011 jquelin <jquelin> 1.40.0-1.mga1
+ Revision: 52648
- update to 1.040

* Fri Jan 21 2011 jquelin <jquelin> 1.36.0-1.mga1
+ Revision: 28709
- mageia rebuild
- imported package perl-POE-Test-Loops

